List Locked Objects

get

/applications/{applicationName}/databases/{databaseName}/locks/objects

Gets all the locked objects from the specified application and database.

Request

Path Parameters
Query Parameters
  • Maximum number of objects to return. Default is 50.

  • Number of items to omit from the start of the result set. Default value is 0.

Back to Top

Response

200 Response

OK

Locked objects retrieved successfully. Gives the details of locked objects along with the links to lock/unlock the object.

400 Response

Bad Request

Failed to get the locked objects. The application or database name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to list locked objects in an Essbase cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locks/objects?offset=0&limit=25" -H  accept: application/json -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
  "items": [
    {
      "name": "Basic",
      "type": "OUTLINE",
      "user": "power1",
      "time": 1625702089000,
      "links": [
        {
          "rel": "lock",
          "href": "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locks/objects/lock",
          "method": "POST"
        },
        {
          "rel": "unlock",
          "href": "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locks/objects/unlock",
          "method": "POST"
        }
      ]
    }
  ],
  "totalResults": 1,
  "limit": 25,
  "count": 1,
  "offset": 0,
  "hasMore": false
}
Back to Top